Subject: bug#69271: 30.0.50; Strange interaction between :inverse-video overlay face and calendar today face

From: Ihor Radchenko <[email-masked]>
Date: Wed, 21 Feb 2024 11:18:22 +0000

Eli Zaretskii <[email-masked]> writes:

>
> This produced text with red background, according to the yant/test-inv
> face.  But if you define the overlays in the opposite order, you get
> the red bold foreground instead.  If you now give each overlay a
> priority, you can control which face shows: the one whose overlay has
> the higher priority.
>
> Maybe I'm missing something, but I see no bug here.

You are indeed right.
I fixed this priority race on Org mode side.
https://git.savannah.gnu.org/cgit/emacs/org-mode.git/commit/?id=67d937248
Thanks!

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>